<div [class]="'app-sidebar sidebar-shadow ' + (config$ | async).sidebarTheme" (mouseover)="sidebarHover()"
     (mouseout)="sidebarHover()">
  <div class="app-header__logo">
    <div class="logo-src"></div>
    <div class="header__pane ml-auto">
      <button type="button" class="hamburger close-sidebar-btn hamburger--elastic"
              [ngClass]="{'is-active' : globals.toggleSidebar}" (click)="toggleSidebar()">
        <span class="hamburger-box">
            <span class="hamburger-inner"></span>
        </span>
      </button>
    </div>
  </div>
  <div class="app-sidebar-content">
    <div class="app-sidebar-scroll">
      <perfect-scrollbar>
        <div class="v-sidebar-menu vsm-default">
          <div class="vsm-list">
            <ngb-accordion [destroyOnHide]="false" [closeOthers]="true" [activeIds]="extraParameter">
              <ngb-panel>
                <ng-template ngbPanelHeader>
                  <div class="vsm-header">Main Navigation</div>
                </ng-template>
              </ngb-panel>
              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink=""
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span
class="vsm-title">Dashboard</span></a>
                  </div>
                </ng-template>
              </ngb-panel>
              

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/staff" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Equipmentlist</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>

              
              <ngb-panel id="pagesMenu">
                <ng-template ngbPanelHeader>
                  <button ngbPanelToggle class="vsm-link">
                    <i class="vsm-icon pe-7s-browser"></i>
                    <span class="vsm-title">POINT MACHINE</span>
                    <i class="vsm-arrow"></i>
                  </button>
                </ng-template>
                <ng-template ngbPanelContent>
                  <div class="vsm-dropdown">
                    <div class="vsm-list">
                      <div class="vsm-item"><a routerLinkActive="active-item" routerLink="/pm/crypto"
                                               class="vsm-link"><span
                        class="vsm-title">SOUTH</span></a></div>
                      
                    </div>
                  </div>
                </ng-template>
              </ngb-panel>


              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/addunit/input" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">ADD UNIT</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>
              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/devicemanagement/crypto" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Device Management</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>
                  

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/variablemanagement/crypto" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Variable Management</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>

              <!-- <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/pages/login" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Compare</span></a>
                  </div>
                </ng-template>                
              </ngb-panel> -->

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/panellist/crypto" routerLinkActive="active-item"
                        class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Panel Management</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>

              

                    

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/gis/crypto" routerLinkActive="active-item"
                       class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">GIS</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>

              

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/reportmanagement/crypto" routerLinkActive="active-item"
                        class="vsm-link">
                      <i class="vsm-icon pe-7s-browser"></i><span class="vsm-title">Report Management</span></a>
                  </div>
                </ng-template>                
              </ngb-panel>

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/alertsettings/crypto" routerLinkActive="active-item"
                      [routerLinkActiveOptions]="{exact: true}" class="vsm-link"><span
class="vsm-title">Alert Management</span></a>
                  </div>
                </ng-template>
                
              </ngb-panel>

              <ngb-panel id="dashboardsMenu">
                <ng-template ngbPanelHeader>
                  <div  class="vsm-link px-0">
                      <a routerLink="/usermanagement/crypto" routerLinkActive="active-item"
                      [routerLinkActiveOptions]="{exact: true}" class="vsm-link"><span
class="vsm-title">User Management</span></a>
                  </div>
                </ng-template>
                
              </ngb-panel>

                    
              
            </ngb-accordion>
            
          </div>
        </div>
      </perfect-scrollbar>
    </div>
  </div>
</div>
